Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ItemShears

    java.lang.Object
      net.minecraft.src.Item
          net.minecraft.src.ItemShears

    public class ItemShears

extends Item

Field Summary

Fields inherited from class net.minecraft.src.Item
`appleGold, appleRed, arrow, axeDiamond, axeGold, axeSteel, axeStone, axeWood, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsLeather, bootsSteel, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, cauldron, chickenCooked, chickenRaw, clay, coal, compass, cookie, diamond, doorSteel, doorWood, dyePowder, egg, emerald, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, field_82791_bT, field_82792_bS, field_82793_bR, field_82794_bL, field_82795_bM, field_82796_bJ, field_82797_bK, field_82798_bP, field_82799_bQ, field_82800_bN, field_82801_bO, field_82802_bI, fireballCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, ghastTear, glassBottle, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetLeather, helmetSteel, hoeDiamond, hoeGold, hoeSteel, hoeStone, hoeWood, ingotGold, ingotIron, isDefaultTexture, itemsList, leather, legsChain, legsDiamond, legsGold, legsLeather, legsSteel, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherStalkSeeds, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeSteel, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateLeather, plateSteel, pocketSundial, porkCooked, porkRaw, potion, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shiftedIndex, shovelDiamond, shovelGold, shovelSteel, shovelStone, shovelWood, sign, silk, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordSteel, swordStone, swordWood, wheat, writableBook, writtenBook`

Constructor Summary
`ItemShears(int par1)`

Method Summary
`boolean` | `canHarvestBlock(Block par1Block)` Returns if the item (tool) can harvest results from the block type.
`float` | `getStrVsBlock(ItemStack par1ItemStack, Block par2Block)` Returns the strength of the stack against a given block.
`boolean` | `itemInteractionForEntity(ItemStack itemstack, EntityLiving entity)` dye sheep, place saddles, etc ...
`boolean` | `onBlockDestroyed(ItemStack par1ItemStack, World par2World, int par3, int par4, int par5, int par6, EntityLiving par7EntityLiving)`
`boolean` | `onBlockStartBreak(ItemStack itemstack, int x, int y, int z, EntityPlayer player)` Called before a block is broken.

Methods inherited from class net.minecraft.src.Item
`addInformation, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, func_82789_a, func_82790_a, getContainerItem, getContainerItemStack, getCreativeTab, getDamageVsEntity, getEntityLifespan, getHasSubtypes, getIconFromDamage, getIconFromDamageForRenderPass, getIconIndex, getIconIndex, getItemDisplayName, getItemEnchantability, getItemName, getItemNameIS, getItemStackLimit, getItemUseAction, getLocalItemName, getMaxDamage, getMaxItemUseDuration, getMetadata, getPotionEffect, getRarity, getRenderPasses, getShareTag, getStatName, getStrVsBlock, getSubItems, getTextureFile, hasContainerItem, hasCustomEntity, hasEffect, hitEntity, isDamageable, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, onCreated, onDroppedByPlayer, onFoodEaten, onItemRightClick, onItemUse, onItemUseFirst, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setFull3D, setIconCoord, setIconIndex, setItemName, setMaxDamage, setMaxStackSize, setNoRepair, setTextureFile, shouldRotateAroundWhenRendering`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemShears

    public ItemShears(int par1)

Method Detail

### onBlockDestroyed

    public boolean onBlockDestroyed(ItemStack par1ItemStack,
                                    World par2World,
                                    int par3,
                                    int par4,
                                    int par5,
                                    int par6,
                                    EntityLiving par7EntityLiving)

  Overrides:
    `onBlockDestroyed` in class `Item`

### canHarvestBlock

    public boolean canHarvestBlock(Block par1Block)

  Returns if the item (tool) can harvest results from the block type.

  Overrides:
    `canHarvestBlock` in class `Item`

### getStrVsBlock

    public float getStrVsBlock(ItemStack par1ItemStack,
                               Block par2Block)

  Returns the strength of the stack against a given block. 1.0F base, (Quality+1)*2 if correct blocktype, 1.5F if sword

  Overrides:
    `getStrVsBlock` in class `Item`

### itemInteractionForEntity

    public boolean itemInteractionForEntity(ItemStack itemstack,
                                            EntityLiving entity)

  Description copied from class: `Item`
  dye sheep, place saddles, etc ...

  Overrides:
    `itemInteractionForEntity` in class `Item`

### onBlockStartBreak

    public boolean onBlockStartBreak(ItemStack itemstack,
                                     int x,
                                     int y,
                                     int z,
                                     EntityPlayer player)

  Description copied from class: `Item`
  Called before a block is broken. Return true to prevent default block harvesting. Note: In SMP, this is called on both client and server sides!

  Overrides:
    `onBlockStartBreak` in class `Item`
  Parameters:
    `itemstack` - The current ItemStack
    `x` - The X Position
    `y` - The X Position
    `z` - The X Position
    `player` - The Player that is wielding the item
  Returns:
    True to prevent harvesting, false to continue as normal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD